package cn.superdesk.uniorder.dubbo.consumer.marketing;


import cn.superdesk.uniorder.common.rest.response.R;
import cn.superdesk.uniorder.dao.entity.marketing.UnifiedStatisticsVirtDimDay;
import cn.superdesk.uniorder.dto.param.marketing.UnifiedStatisticsVirtDimDayParam;
import cn.superdesk.uniorder.dto.param.marketing.UnifiedStatisticsVirtDimDayQueryCriteria;
import cn.superdesk.uniorder.dubbo.facade.marketing.DubboUnifiedStatisticsVirtDimDayService;
import com.alibaba.dubbo.config.annotation.Reference;
import com.github.pagehelper.PageInfo;
import lombok.extern.slf4j.Slf4j;
import org.springframework.stereotype.Component;

import java.util.List;
import java.util.Map;

/**
 * @Description:
 * @Author: linjinyu
 * @Email linjinyu@avic-s.com
 * @CreateDate: 2021-09-06 12:00:09
 * @UpdateUser: linjinyu
 * @UpdateDate: 2021-09-06 12:00:09
 * @UpdateRemark: 修改内容
 * @Version: 1.0
 */
@Slf4j
@Component
public class UnifiedStatisticsVirtDimDayDubboConsumerService {

	@Reference(version = "1.0.0", timeout = 10000, retries = -1)
	private DubboUnifiedStatisticsVirtDimDayService dubboUnifiedStatisticsVirtDimDayService;


	/****************************************** extends BaseService 部分 start ******************************************/

	public void addObj(UnifiedStatisticsVirtDimDayParam param) {

		dubboUnifiedStatisticsVirtDimDayService.addObj(param);

	}

	public void updateObj(UnifiedStatisticsVirtDimDayParam param) {

		dubboUnifiedStatisticsVirtDimDayService.updateObj(param);
	}

	public void deleteObj(Long id) {

		dubboUnifiedStatisticsVirtDimDayService.deleteObj(id);
	}

	public UnifiedStatisticsVirtDimDay findById(Long id) {

		return dubboUnifiedStatisticsVirtDimDayService.findById(id);
	}

	public PageInfo<UnifiedStatisticsVirtDimDay> findByPaging(Map<String, Object> conditions, Integer pageNun, Integer pageSize) {

		return dubboUnifiedStatisticsVirtDimDayService.findByPaging(conditions, pageNun, pageSize);
	}

	public List<UnifiedStatisticsVirtDimDay> findAll(Map<String, Object> queryMap) {

		return dubboUnifiedStatisticsVirtDimDayService.findAll(queryMap);
	}

	/****************************************** extends BaseService 部分   end ******************************************/


	public void addUnifiedStatisticsVirtDimDay(UnifiedStatisticsVirtDimDayParam param) {

		dubboUnifiedStatisticsVirtDimDayService.addUnifiedStatisticsVirtDimDay(param);
	}


	public void updateUnifiedStatisticsVirtDimDay(UnifiedStatisticsVirtDimDayParam param) {

		dubboUnifiedStatisticsVirtDimDayService.updateUnifiedStatisticsVirtDimDay(param);
	}


	public void deleteUnifiedStatisticsVirtDimDay(Long id) {
		dubboUnifiedStatisticsVirtDimDayService.deleteUnifiedStatisticsVirtDimDay(id);
	}


	public UnifiedStatisticsVirtDimDay findUnifiedStatisticsVirtDimDayById(Long id) {

		return dubboUnifiedStatisticsVirtDimDayService.findUnifiedStatisticsVirtDimDayById(id);
	}


	public R<List<UnifiedStatisticsVirtDimDay>> pageQuery(Map<String, Object> conditions, int pageNun, int pageSize) {

		return dubboUnifiedStatisticsVirtDimDayService.pageQuery(conditions, pageNun, pageSize);
	}


	public R<List<UnifiedStatisticsVirtDimDay>> pageQueryGenericParam(UnifiedStatisticsVirtDimDayQueryCriteria queryCriteria) {

		return dubboUnifiedStatisticsVirtDimDayService.pageQueryGenericParam(queryCriteria);
	}

	/******************************************  start ******************************************/

	public List<UnifiedStatisticsVirtDimDay> queryVirtOrderStatisticalDimDay(Map<String, Object> queryMap) {

		return dubboUnifiedStatisticsVirtDimDayService.queryVirtOrderStatisticalDimDay(queryMap);
	}

	public void storeVirtOrderStatisticalDimDay(UnifiedStatisticsVirtDimDay item, Integer year, Integer month,Integer dayOfMonth) {

		dubboUnifiedStatisticsVirtDimDayService.storeVirtOrderStatisticalDimDay(item, year, month,dayOfMonth);
	}
}
